OpenVDB 12.1.0

Loading...
Searching...
No Matches
GetLeaf< BuildT > Struct Template Reference

Return the pointer to the leaf node that contains math::Coord. Implements Tree::probeLeaf(math::Coord) More...

`#include <nanovdb/NanoVDB.h>`

## Public Types
using | Type = const NanoLeaf<BuildT>*

## Static Public Member Functions
static __hostdev__ Type | get (const NanoRoot< BuildT > &)
static __hostdev__ Type | get (const typename NanoRoot< BuildT >::Tile &)
static __hostdev__ Type | get (const NanoUpper< BuildT > &, uint32_t)
static __hostdev__ Type | get (const NanoLower< BuildT > &, uint32_t)
static __hostdev__ Type | get (const NanoLeaf< BuildT > &leaf, uint32_t)

## Static Public Attributes
static constexpr int | LEVEL = 0

## Detailed Description

template<typename BuildT>
struct nanovdb::GetLeaf< BuildT >

Return the pointer to the leaf node that contains math::Coord. Implements Tree::probeLeaf(math::Coord)

Template Parameters

  BuildT | Build type of the grid being called

## Member Typedef Documentation

## ◆ Type

template<typename BuildT>

using Type = const NanoLeaf<BuildT>*

## Member Function Documentation

## ◆ get() [1/5]

template<typename BuildT>

__hostdev__ Type get | ( | const NanoLeaf< BuildT > & | leaf,
|  | uint32_t | )
| inline static

## ◆ get() [2/5]

template<typename BuildT>

__hostdev__ Type get | ( | const NanoLower< BuildT > & | ,
|  | uint32_t | )
| inline static

## ◆ get() [3/5]

template<typename BuildT>

__hostdev__ Type get | ( | const NanoRoot< BuildT > & |  | ) |
| inline static

## ◆ get() [4/5]

template<typename BuildT>

__hostdev__ Type get | ( | const NanoUpper< BuildT > & | ,
|  | uint32_t | )
| inline static

## ◆ get() [5/5]

template<typename BuildT>

__hostdev__ Type get | ( | const typename NanoRoot< BuildT >::Tile & |  | ) |
| inline static

## Member Data Documentation

## ◆ LEVEL

template<typename BuildT>

int LEVEL = 0
| static constexpr